libogg documentation | libogg release 1.3.4 - 20190830

# oggpack_readinit

declared in "ogg/ogg.h";

This function takes an ordinary buffer and prepares an oggpack_buffer for reading using the Ogg bitpacking functions.

    void oggpack_readinit(oggpack_buffer *b,unsigned char *buf,int bytes);

### Parameters

b
  Pointer to oggpack_buffer to be initialized with some extra markers to ease bit navigation and manipulation.
buf
  Original data buffer, to be inserted into the oggpack_buffer so that it can be read using bitpacking functions.

### Return Values

> - No values are returned.

copyright © 2000-2019 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.4 - 20190830